

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/filemap.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN mm/filemap.c~provide-a-filesystem-specific-syncable-page-bit-fix-2 mm/filemap.c
--- 25/mm/filemap.c~provide-a-filesystem-specific-syncable-page-bit-fix-2	2004-10-21 14:54:42.045531600 -0700
+++ 25-akpm/mm/filemap.c	2004-10-21 14:54:42.049530992 -0700
@@ -457,7 +457,7 @@ void fastcall end_page_fs_misc(struct pa
 	if (!TestClearPageFsMisc(page))
 		BUG();
 	smp_mb__after_clear_bit();
-	wake_up_page(page);
+	__wake_up_bit(page_waitqueue(page), &page->flags, PG_fs_misc);
 }
 
 EXPORT_SYMBOL(end_page_fs_misc);
_
